Installation Problem

Moderators: davetaflin, salter, steve, jprenaud, straton, Chris Idso

mightyvelan
Experienced user
Posts: 15
Joined: Fri Aug 03, 2007 5:48 am
Location: INDIA
Contact:

Installation Problem

Postby mightyvelan » Tue Aug 14, 2007 4:23 am

Hi
Today we got the CD of license version. So i tried installing in our server. Our server Configuration is
Intel(R) Dual Processor Xeon(R) CPU 3.2GHz, Configured using rocks-4.2.1.
So i need to send server code for getting license key. But i am facing problem while generating server code(also while installing).
I got the following error while installing setuptec:
[velan@scram2 ~]$ cat error
The next step in the installation process is to install the
Tecplot license key. You DON'T need to install a license
key if one of the following is true:

- You are only going to run the Tecplot demo.
- You have a network license and the license manager
will be running on a different machine.

If you are installing a purchased license but are not ready to
install the license key at this time then choose to obtain
the server code now and install the key later (by running the
"setuplic" program).



Choose one of the following options:

1. Obtain server code now and install the key later.
2. Obtain server code now and install the key now.
3. Skip license key installation on this machine.
(License key will be managed on a different machine)

Enter Option [1]: 1




+---------------------------------------+
| |
| |
| LICENSE INSTALLATION |
| |
| |
+---------------------------------------+



/home/velan/tecplot/unix/setuplic: line 306: /usr/local/tecplot/tlm/tlmadmin: cannot execute binary file
The host/server code is:

Contact Tecplot, Inc. at support@tecplot.com or your distributor to
obtain your license key. Please send the above server code AND
your Tecplot License Number.


After you have received your license key, go to the Tecplot home directory
'('/usr/local/tecplot')' and run ./setuplic to install the key


---------------------------------------------------------------------

Then i got the error while executing ./setuplic:

[root@galaxy tecplot]# ./setuplic

+---------------------------------------+
| |
| |
| LICENSE INSTALLATION |
| |
| |
+---------------------------------------+




Choose license install option:

1. Install evaluation license key
2. Install purchased license key
3. Display the server code
4. Restart the license manager
5. Kill the license manager

-->3

./setuplic: line 306: /usr/local/tecplot/tlm/tlmadmin: cannot execute binary file
The host/server code is:
[root@galaxy tecplot]#


[velan@scram2 ~]$


Can you please help me how to sort it out.

Regards
Velan

jim

Re: Installation Problem

Postby jim » Tue Aug 14, 2007 8:29 am

My first guess is the program that guesses which linux distribution to try chose incorrectly or you have an architecture we don't support. Let's explore the first. What flavor of linux are you using, which version, and what compiler? Would you mind running these commands and sending us the output:

Code: Select all

% uname -a
% rpm -q glibc
% ldd /usr/local/tecplot/tlm/tlmadmin
% ldd /usr/local/tecplot/bin/tecplot.shared

mightyvelan
Experienced user
Posts: 15
Joined: Fri Aug 03, 2007 5:48 am
Location: INDIA
Contact:

Re: Installation Problem

Postby mightyvelan » Tue Aug 14, 2007 8:48 am

Hi
I given the details below.
[velan@galaxy ~]$ uname -a
Linux galaxy.iitb.ac.in 2.6.9-42.0.2.ELsmp #1 SMP Wed Aug 23 00:17:26 CDT 2006 i686 i686 i386 GNU/Linux
[velan@galaxy ~]$ rpm -q glibc
glibc-2.3.4-2.25
[velan@galaxy ~]$ ldd /usr/local/tecplot/tlm/tlmadmin
not a dynamic executable
[velan@galaxy ~]$ ldd /usr/local/tecplot/bin/tecplot.shared
not a dynamic executable

jim

Re: Installation Problem

Postby jim » Tue Aug 14, 2007 9:24 am

Interesting; Given you had mentioned Xeon processors, I would have guessed this was a 64-bit linux. However, uname says it's a 32-bit. (This explains the "not an executable" message.)

Would you mind trying the installation and select the linuxg23.24 version?
(Alternatively, if you're just installing the license manager, you can extract the tlm-specific things:

Code: Select all

tar xf linuxg23.24 tlm/tlmadmin tlm/tlmd tlm/tlmrpt tlm/tlmusage

mightyvelan
Experienced user
Posts: 15
Joined: Fri Aug 03, 2007 5:48 am
Location: INDIA
Contact:

Re: Installation Problem

Postby mightyvelan » Tue Aug 14, 2007 9:35 am

Hi Jim,
Its working. Now i am getting host/server code value. So while installing i have to select option 4?. (| LINUX | x86 | Linux Kernel 2.4+ / glibc 2.3). Is it correct for our system configuration?. But early i selected different option while installing tecplot.

Regards
Velan

mightyvelan
Experienced user
Posts: 15
Joined: Fri Aug 03, 2007 5:48 am
Location: INDIA
Contact:

Re: Installation Problem

Postby mightyvelan » Tue Aug 14, 2007 9:40 am

Hi Jim
Now i am getting new error,
[velan@galaxy ~]$ tecplot
/usr/local/tecplot/bin/tecplot.shared: error while loading shared libraries: libstdc++.so.5: cannot open shared object file: No such file or directory
[velan@galaxy ~]$

When i searched i got following files
[root@galaxy /]# find . -name *libstdc*
./usr/share/doc/libstdc++-devel-3.4.6
./usr/lib/libstdc++-2-libc6.1-1-2.9.0.so
./usr/lib/gcc/i386-redhat-linux/3.4.3/libstdc++.so
./usr/lib/gcc/i386-redhat-linux/3.4.3/libstdc++_nonshared.a
./usr/lib/gcc/i386-redhat-linux/3.4.3/libstdc++_shared.so
./usr/lib/gcc/i386-redhat-linux/3.4.3/libstdc++.a
./usr/lib/libstdc++-3-libc6.2-2-2.10.0.so
./usr/lib/libstdc++-libc6.1-1.so.2
./usr/lib/libstdc++.so.6
./usr/lib/libstdc++.so.6.0.3
./usr/lib/libstdc++-libc6.2-2.so.3
./export/home/install/rocks-dist/lan/i386/RedHat/RPMS/compat-libstdc++-296-2.96-132.7.2.i386.rpm
./export/home/install/rocks-dist/lan/i386/RedHat/RPMS/libstdc++-devel-3.4.6-3.i386.rpm.torrent
./export/home/install/rocks-dist/lan/i386/RedHat/RPMS/libstdc++-devel-3.4.6-3.i386.rpm
./export/home/install/rocks-dist/lan/i386/RedHat/RPMS/compat-libstdc++-33-3.2.3-47.3.i386.rpm.torrent
./export/home/install/rocks-dist/lan/i386/RedHat/RPMS/libstdc++-3.4.6-3.i386.rpm.torrent
./export/home/install/rocks-dist/lan/i386/RedHat/RPMS/libstdc++-3.4.6-3.i386.rpm
./export/home/install/rocks-dist/lan/i386/RedHat/RPMS/compat-libstdc++-296-2.96-132.7.2.i386.rpm.torrent
./export/home/install/rocks-dist/lan/i386/RedHat/RPMS/compat-libstdc++-33-3.2.3-47.3.i386.rpm
./export/home/install/rolls/os/4.2.1/i386/RedHat/RPMS/compat-libstdc++-296-2.96-132.7.2.i386.rpm
./export/home/install/rolls/os/4.2.1/i386/RedHat/RPMS/libstdc++-devel-3.4.6-3.i386.rpm
./export/home/install/rolls/os/4.2.1/i386/RedHat/RPMS/libstdc++-3.4.6-3.i386.rpm
./export/home/install/rolls/os/4.2.1/i386/RedHat/RPMS/compat-libstdc++-33-3.2.3-47.3.i386.rpm
[root@galaxy /]#

jim

Re: Installation Problem

Postby jim » Tue Aug 14, 2007 9:57 am

Progress! :D

Okay, so the final step would be adding the legacy c++ library to your linux. I'm unsure of the flavor of linux, but on page 11 of the <a href="ftp://ftp.tecplot.com/pub/tecplot/360/doc/release.pdf">release notes</a>, I've detailed the instructions for a couple of the linuxes I'm familiar with. For example, the Fedora Core also needs an older X library.

You can usually find the package on the installation disk or use www.rpmfind.com for an online version.

(Note: in the next release we'll have an updated 32-bit linux to avoid having to do this.)

mightyvelan
Experienced user
Posts: 15
Joined: Fri Aug 03, 2007 5:48 am
Location: INDIA
Contact:

Re: Installation Problem

Postby mightyvelan » Tue Aug 14, 2007 8:55 pm

Hi jim,
Yes you are correct. I installed old X lib. Now its working properly.
Thanks for helping me to sort it out the problem. Now i installed purchased license and working properly.

Velan

mightyvelan
Experienced user
Posts: 15
Joined: Fri Aug 03, 2007 5:48 am
Location: INDIA
Contact:

Re: Installation Problem

Postby mightyvelan » Thu Sep 20, 2007 10:15 pm

Hi jim,
Can you help me which option i have to choose for :
uname -a : Linux license1 2.4.18-3 #1 Thu Apr 18 07:37:53 EDT 2002 i686 unknown

rpm -q glibc : glibc-2.2.5-34

I am facing new problem while installing new purchased license in other machine. while installing i select option 4 and i got the following error while displaying the code.

/home/tecplot/BACK/tecplot360/tlm/tlmadmin: /lib/i686/libc.so.6: version `GLIBC_2.3' not found (required by /home/tecplot/BACK/tecplot360/tlm/tlmadmin)

jim

Re: Installation Problem

Postby jim » Thu Sep 20, 2007 10:20 pm

Velan,
The only one that's likely to work is linux.24, which is a 2.4 kernel, glibc 2.2 built. (And I should also say that Tecplot 360R2 is the last release that supported that old linux.)
Jim

mightyvelan
Experienced user
Posts: 15
Joined: Fri Aug 03, 2007 5:48 am
Location: INDIA
Contact:

Re: Installation Problem

Postby mightyvelan » Mon Sep 24, 2007 1:10 am

Hi Jim,
When i untar the file, i got the following error message. Can you please tell me how to solve it?. I want to install only license manager on my machine.

[tecplot@scram unix]$ tar xvf linux.24 tlm/tlmadmin tlm/tlmd tlm/tlmrpt tlm/tlmusage
tar: This does not look like a tar archive
tar: Skipping to next header
tar: Archive contains obsolescent base-64 headers
tar: tlm/tlmadmin: Not found in archive
tar: tlm/tlmd: Not found in archive
tar: tlm/tlmrpt: Not found in archive
tar: tlm/tlmusage: Not found in archive
tar: Error exit delayed from previous errors
[tecplot@scram unix]$


Is there any way to install tec360 in older linux(like upgrading glibc2-3). Because this machine is the server for the department. Right now i cant upgrade to newer version of linux.

Velan

jim

Re: Installation Problem

Postby jim » Tue Sep 25, 2007 9:44 am

Velan:
Normally you would do this:

Code: Select all

tar xvf linux.24.tar linux.24
tar xvf linux.24 tlm/tlmadmin tlm/tlmd tlm/tlmrpt tlm/tlmusage


For simplicity, I've put a copy of these files <a href="ftp://ftp.tecplot.com/pub/people/jim/linux24tlm.tar">here</a>

Jim


Return to “Installation”

Who is online

Users browsing this forum: No registered users and 1 guest

cron